Bug 37497 - gtk+-2.0 crashes with certain locale settings
Summary: gtk+-2.0 crashes with certain locale settings
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-27 02:00 UTC by spcoltri
Modified: 2002-04-29 19:45 UTC (History)
0 users

See Also:


Attachments
patch-lib_aliases.h (47.92 KB, text/x-c-header)
2002-04-27 20:50 UTC, Joe Marcus Clarke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description spcoltri 2002-04-27 02:00:08 UTC
Due to an impedance mismatch between libiconv and FreeBSD's recently adopted locale naming scheme, calling g_print() in a gtk20 program dumps core under certain values of LANG, LC_CTYPE or LC_ALL.

How-To-Repeat: % cat > test.c
#include <gtk/gtk.h>

int main (int argc, char ** rgv) {
  gtk_init(&argc, &argv);
  g_print("Hi!\n");
}
^D
% gcc test.c -o test `pkg-config --cflags gtk+-2.0` `pkg-config --libs gtk+-2.0`
% LANG=en_US.ISO_8859-1 ./test
segmentation fault (core dumped)  ./test1
Comment 1 Joe Marcus Clarke freebsd_committer 2002-04-27 18:19:40 UTC
Responsible Changed
From-To: freebsd-ports->gnome

Over to maintainers.
Comment 2 Joe Marcus Clarke 2002-04-27 20:50:25 UTC
Steve, here is a patch that should correct the problem.  Please stick
this in ports/converters/libiconv, and reinstall libiconv.  Please let
me know if this fixes things for you.

Joe


On Fri, 2002-04-26 at 21:50, Steve Coltrin wrote:
> 
> >Number:         37497
> >Category:       ports
> >Synopsis:       gtk+-2.0 crashes with certain locale settings
> >Confidential:   no
> >Severity:       serious
> >Priority:       low
> >Responsible:    freebsd-ports
> >State:          open
> >Quarter:        
> >Keywords:       
> >Date-Required:
> >Class:          sw-bug
> >Submitter-Id:   current-users
> >Arrival-Date:   Fri Apr 26 18:00:08 PDT 2002
> >Closed-Date:
> >Last-Modified:
> >Originator:     Steve Coltrin
> >Release:        4.5-STABLE
> >Organization:
> Orbital Mind Control Lasers
> >Environment:
> FreeBSD hrothgar.omcl.org 4.5-STABLE FreeBSD 4.5-STABLE #9: Thu Apr 25 02:08:21 MDT 2002     spcoltri@hrothgar.omcl.org:/usr/obj/usr/src/sys/HROTHGAR  i386
> >Description:
> Due to an impedance mismatch between libiconv and FreeBSD's recently adopted locale naming scheme, calling g_print() in a gtk20 program dumps core under certain values of LANG, LC_CTYPE or LC_ALL.
> >How-To-Repeat:
> % cat > test.c
> #include <gtk/gtk.h>
> 
> int main (int argc, char ** rgv) {
>   gtk_init(&argc, &argv);
>   g_print("Hi!\n");
> }
> ^D
> % gcc test.c -o test `pkg-config --cflags gtk+-2.0` `pkg-config --libs gtk+-2.0`
> % LANG=en_US.ISO_8859-1 ./test
> segmentation fault (core dumped)  ./test1
> >Fix:
> 
> >Release-Note:
> >Audit-Trail:
> >Unformatted:
> 
> To Unsubscribe: send mail to majordomo@FreeBSD.org
> with "unsubscribe freebsd-ports" in the body of the message
> 
-- 
PGP Key: http://www.marcuscom.com/pgp.asc
Comment 3 Joe Marcus Clarke freebsd_committer 2002-04-27 20:50:51 UTC
State Changed
From-To: open->feedback

I sent a patch to the submitter that seems to fix the problem for me. 
Awaiting reply.
Comment 4 spcoltri 2002-04-28 16:32:48 UTC
>Please let
>me know if this fixes things for you.

It did, thank you.
Comment 5 Joe Marcus Clarke freebsd_committer 2002-04-29 19:44:48 UTC
State Changed
From-To: feedback->closed

Fixed in libiconv-1.7_4.  Thanks for reporting!